%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           s3cmd
Version:        2.0.2
Release:        1%{?dist}
Summary:        Tool for accessing Amazon Simple Storage Service

License:        GPLv2+
URL:            https://s3tools.org/s3cmd
Source0:        https://github.com/s3tools/s3cmd/releases/download/v%{version}/s3cmd-%{version}.tar.gz
BuildArch:      noarch

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-dateutil
Requires:       python3-magic
%else
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
Requires:       python-dateutil
Requires:       python-magic
%else
Requires:       python2-dateutil
Requires:       python2-magic
%endif
%endif

%if 0%{?fedora} >= 30
%{?python_disable_dependency_generator}
%endif

# In RHEL8 python3-magic does not autoprovide its
# provisions
%if 0%{?el8}
%global __requires_exclude_from ^%{python3_sitelib}/.*$
%endif

%description
S3cmd lets you copy files from/to Amazon S3
(Simple Storage Service) using a simple to use
command line client.

%prep
%setup -q 
rm -rf *.egg-info
%if %{without python3}
# Not needed on Py2, RPM fails to Bytecompile it
rm -f S3/Custom_httplib3x.py
%endif

%build
export S3CMD_PACKAGING=1
%if %{with python3}
%py3_build
%else
%py2_build
%endif

%install
export S3CMD_PACKAGING=1
%if %{with python3}
%py3_install
%else
%py2_install
%endif

mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m 0644 -t %{buildroot}%{_mandir}/man1 s3cmd.1

%files
%license LICENSE
%doc NEWS README.md
%{_bindir}/s3cmd
%{_mandir}/man1/s3cmd.1*
%if %{with python3}
%{python3_sitelib}/s3cmd-*.egg-info/
%{python3_sitelib}/S3/
%else
%{python2_sitelib}/s3cmd-*.egg-info/
%{python2_sitelib}/S3/
%endif

%changelog
* Mon Feb 24 2020 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 2.0.2-1
- Initial release for RHCS 4.1

